{% extends('/layouts/layout_main.twig') %}

{% set fluid = true %}
{% block content %}

    <p><span class="glyphicon glyphicon-backward"></span> <a href="{{ url('points-suivi')}}">Retour</a></p>
    <h1>

        {% if P.type_point == 'pluvio' %} <img src="/img/icon/pluvio-flat.png" width="30" title="Suivi de la pluviométrie" /> {% endif %}
        {% if P.type_point == 'hauteur' %} <img src="/img/icon/hauteur-flat.png" width="30" title="Suivi des hauteurs d'eau" /> {% endif %}
        {% if P.type_point == 'debit' %} <img src="/img/icon/debit-flat.png" width="30" title="Suivi des débits" /> {% endif %}

        {{ P.point_suivi }} 
        {% if app.session.get('U').aAcces('ROLE_LECTEUR',P.id_point_suivi,app.pdo) %}
            <a class='btn btn-default' href="{{ url('point-suivi-info' , { 'alias' : P.alias }) }}"><span class="glyphicon glyphicon-option-horizontal"></span> Infos</a>
        {% endif %}
    </h1>
    {% if P.type_point == 'pluvio' %} 
        <p>Station de suivi des cumuls pluviométriques. 
            {% if P.lien_autre is not null or P.lien_infoclimat is not null %}
                <a href="{{ P.lien_autre|default(P.lien_infoclimat) }}" target="_blank">
                {% endif %}
                Organisme source : {{ P.structure_gestionnaire }} 

                {% if P.lien_autre is defined or P.lien_infoclimat is defined %}
                </a>
            {% endif %}.
        </p>

    {% endif %}
    {% if P.type_point == 'hauteur' %} 
        <p>Station de suivi des hauteurs d'eau. 
            {% if P.lien_autre is not null or P.lien_vigicrue is not null %}
                <a href="{{ P.lien_autre|default(P.lien_vigicrue) }}" target="_blank">
                {% endif %}
                Organisme source : {{ P.structure_gestionnaire }}. 

                {% if P.lien_autre is not null or P.lien_vigicrue is not null %}
                </a>
            {% endif %}
        </p>
    {% endif %}
     {% if P.type_point == 'debit' %} 
        <p>Station de suivi des débits. 
            {% if P.lien_autre is not null or P.lien_vigicrue is not null %}
                <a href="{{ P.lien_autre|default(P.lien_vigicrue) }}" target="_blank">
                {% endif %}
                Organisme source : {{ P.structure_gestionnaire }}. 

                {% if P.lien_autre is not null or P.lien_vigicrue is not null %}
                </a>
            {% endif %}
        </p>
    {% endif %}

    {% if app.session.get('U').aAcces('ROLE_CONTRIB',P.id_point_suivi,app.pdo) %}
        <div class="btn-fixed"><a class='btn btn-success' href="{{ url('releve-nouveau', { 'alias' : P.alias  }) }}"><span class="glyphicon glyphicon-plus"></span> Nouveau relevé</a></div>
    {% endif %}
    <p>&nbsp</p>
    <p>&nbsp</p>


    <div class="col-lg-8 col-md-12">
        <!--<p class="text-right"><span class="badge valeur-auto">Relevé automatique</span> <span class="badge valeur-manuel">Relevé manuel</span></p>-->

        <p class="filters">Les {{ P.type_point }}s depuis {{ depuis|replace({'hours':' heures','days':' jours'}) }} 
            (voir depuis <a href="?depuis=6heures">6 heures</a>, <a href="?depuis=12heures">12 heures</a>, <a href="?depuis=24heures">1 jour</a>, <a href="?depuis=2jours">2 jours</a>)
            | {% if heuresslmt == 1 %}
            filtré par heure (<a href="?heuresslmt=0">voir non filtré</a>)
            {% else %}
                non filtré (<a href="?heuresslmt=1">voir filtré par heure</a>)
                {% endif %}

                </p>



                <div class='row'>
                    <div class='col-md-12'>
                        <div id="chart" style="width:100%;height:800px;"></div>
                    </div>
                </div>
            </div>



            <div class="col-lg-4 col-md-12">



                <table class="table table-bordered table-condensed table-striped table-center">
                    <tr>
                        <th>Date</th>
                        <th>
                            {{ P.element_mesure|capitalize }} ({{ P.unite }})

                        </th>
                        {% if P.type_point == 'pluvio' %} 
                            <th>Cumul depuis {{ cumul }} heures ({{ P.unite }})<br>(voir <a href="?cumul=6">6</a>, <a href="?cumul=12">12</a>, <a href="?cumul=24">24</a>, <a href="?cumul=48">48</a> heures)</th>
                            {% endif %}
                        <th>Type de relevé</th>
                        <th>Evolution</th>


                    </tr>

                    {% set lastv = 0 %}
                    {% for v in tabV|reverse %}



                        <tr>
                            <td><a name="{{ v.date_valeur|date('YmdHi') }}"></a>{{ v.date_valeur|date('d/m/Y à H:i') }}</td>


                            <td>
                                <a  class="badge"  data-toggle="popover" title="Informations" data-content="Valeur issue du relevé du {{v.date_releve|date('d/m/Y à H:i') }} effectué par {{ v.prenom }} {{ v.nom }} [ID{{v.id_releve}}]" data-trigger="focus" tabindex=0>
                                    <big>{{ v.valeur }}</big>
                                </a> 
                            </td>

                            {% if P.type_point == 'pluvio' %} 
                                <td>
                                    <a data-toggle="popover" title="Informations" data-content="Cumul depuis le  {{ v.date_valeur|date_modify("-"~(cumul-1)~" hours")|date('d/m/Y à H:i') }}" data-trigger="focus" tabindex=0 style="cursor:pointer;">
                                        {{ render(url('cumul', { 'alias' : P.alias, 'debut': v.date_valeur|date_modify("-"~(cumul-1)~" hours")|date('Y-m-d H:i'), 'fin' : v.date_valeur|date('Y-m-d H:i') })) }}
                                    </a>
                                </td>
                            {% endif %}

                            <td>
                                <small><span class="badge valeur-{{v.type_releve}}">{{v.type_releve}}</span></small>
                            </td>

                            <td>
                                {% set index = loop.revindex0-1 %}
                                {% if index >= 0 %}
                                    {% set dern_valeur = v.valeur %}
                                    {% set avant_dern_valeur =  tabV[index].valeur %}


                                    {% include('releve/tendance.twig') %}
                                {% endif %}

                            </td>                



                        </tr>



                    {% endfor %}
                </table>
            </div>



        </div>





        {% endblock %}
            {% block js %}


                <script type='text/javascript'>


                    function randomColor(index)
                    {

                        return 'rgb(' + Math.random() * 200 + ',' + Math.random() * 150 + ',' + Math.random() * 150 + ')';

                    }


                    function makeChart()
                    {


                        var traceAuto = {
                            name: 'Relevé auto.',
                            x: [{% for v in tabV %}{% if v.type_releve == 'auto' %}new Date({{ v.date_valeur|date('Y,m-1,d,H,i') }}),{% endif %}{% endfor %} ],
                            y: [{% for v in tabV %}{% if v.type_releve == 'auto' %}{{ v.valeur }},{% endif %}{% endfor %} ],
                            marker: {
                                color: '#003399',
                                size: 6,
                                symbol: 'circle',
                                maxdisplayed: 0
                            },
                            line: {
                                color: 'rgb(150,150,255)',
                                width: 2.0
                            },{% if P.type_point=='hauteur' %}
                            type: 'scatter',
                            mode: 'lines+markers',{% endif %}{% if P.type_point=='debit' %}
                            type: 'scatter',
                            mode: 'lines+markers',{% endif %}{% if P.type_point=='pluvio' %}
                            type: 'bar',{% endif %}
                            connectgaps: true,
                            textfont: {
                                family: 'Times New Roman'
                            },
                        };


                        var traceManuel = {
                            name: 'Relevé manuel',
                            x: [{% for v in tabV %}{% if v.type_releve == 'manuel' %}new Date({{ v.date_valeur|date('Y,m-1,d,H,i') }}),{% endif %}{% endfor %} ],
                            y: [{% for v in tabV %}{% if v.type_releve == 'manuel' %}{{ v.valeur }},{% endif %}{% endfor %} ],
                            // text: ,
                            marker: {
                                color: '#009933',
                                size: 6,
                                symbol: 'square',
                                maxdisplayed: 0
                            },
                            line: {
                                color: 'rgb(150,255,150)',
                                width: 2.0
                            },{% if P.type_point=='hauteur' %}
                            type: 'scatter',
                            mode: 'lines+markers',{% endif %}{% if P.type_point=='debit' %}
                            type: 'scatter',
                            mode: 'lines+markers',{% endif %}{% if P.type_point=='pluvio' %}
                            type: 'bar',{% endif %}
                            connectgaps: false,
                            textfont: {
                                family: 'Times New Roman'
                            },
                        };
                        //console.log(traceAuto);


                    {% for key,S in tabS %}

                            var seuil{{ key }} = {
                                name: '{{ S.nom }} ({{ S.valeur }} {{P.unite }})',
                                x: [new Date({{tabV[0].date_valeur|date('Y,m-1,d,H,i')}}), new Date({{tabV[tabV|length-1].date_valeur|date('Y,m-1,d,H,i')}})],
                                y: [{{ S.valeur }},{{ S.valeur }} ],
                                mode: 'lines',
                                line: {
                                    dash: 5,
                                    color: randomColor({{ key }}),
                                    width: 2.0
                                }

                            };


                    {% endfor %}

                            var traces = [traceAuto, traceManuel, {% for key,S in tabS|keys %}seuil{{ key }}, {% endfor %}];

                            Plotly.newPlot('chart', traces, layout, {displaylogo: false});
                        }


                        var layout = {
                            /*  title: '{{P.point_suivi}}', */
                            margin: {
                                l: 40,
                                r: 0,
                                t: 0
                            },
                            xaxis: {
                                title: 'Date heure',
                                tickformat: '%e/%m/%Y %H:%M'
                            },
                            yaxis: {
                                autorange: true,
                                rangemode: 'tozero',
                                title: '{{ P.element_mesure }} ({{ P.unite }})'
                            },
                            legend: {
                                "orientation": "h",
                                x: 0,
                                y: 1.05
                            }
                        };

                        makeChart();

                </script>
            {% endblock %}




